## postfwd 1.32

=== debian/changelog ===
postfwd (1.32-2~bpo60+1) squeeze-backports; urgency=low

  * Rebuild for squeeze-backports.

 -- Jan Wagner <waja@cyconet.org>  Thu, 21 Jun 2012 16:30:08 +0200

postfwd (1.32-2) unstable; urgency=low

  * Switch over to packaging format 3.0 (quilt) (Closes: #664409)
  * Updating standards version to 3.9.3, no changes needed
  * Remove build-dependency of dpatch
  * Use dh_prep instead of dh_clean -k
  * Add build-arch and build-indep targets to debian/rules

 -- Jan Wagner <waja@cyconet.org>  Thu, 29 Mar 2012 20:22:17 +0200

postfwd (1.32-1) unstable; urgency=low

  * New upstream release
   - new option --save_rates=<file> is able to load and save rate limit counters
     to disk on program start and termination.
   - the --debugitem="sender=example\.org$" option allows verbose logging for
     particular requests
   - the debug() action enables verbose logging for certain rules
   - nested commands are possible now
   - new mail(server/helo/from/to/subject/body) action.
   - single cache items can be wiped
   - sasl_username is logged if available
   - rate limit action is executed, if the first request exceeds the limit
   - exceeded ratecounters will not be kept permanently anymore
   - rate limits are evaluated at ruleset stage now
   - new parser enhancement is able to omit the trailing "\" for multi-line
     rules
   - new plugin interface (BETA)
   - Time::HiRes is used if available
   - multiple rate limits for the same items are supported now
   - new $$ratecount variable for rate() actions
   - new option --keep_rates
   - queueid is logged when available
   - rate limits fixed
   - new --debug class 'cleanup'
   - documentation updates and fixes
  * Suppress output on restarting via init script (Closes: #636782), thanks
    Martin F. Krafft for reporting
  * Add hapolicy and manpage into separate binary package
  * Reorganize documentation
   - Add new files from upstream to documentation
   - Changelogs where renamed by upstream
  * Bump Standards-Version to 3.9.2, no changes needed

 -- Jan Wagner <waja@cyconet.org>  Wed, 21 Dec 2011 22:27:27 +0100

postfwd (1.20-1) unstable; urgency=low

  * New upstream release
    - Release contains postfwd1 and postfwd2 now (Closes: #582969)
    - new --umask setting allows to set filepermissions for pidfiles and unix
      domain sockets
    - Rate limit code rewritten
    - rbl checks disabled for ipv6 addresses, cidr compare will switch to
      default (regex/string)
    - rbl check could fail on multiple dnsbl answers
  * Add dpatch infrastructure
  * Provide update-alternatives for choosing the postfwd variant
  * Install also CHANGELOG2
  * Bump Standards-Version to 3.9.1, no changes needed

 -- Jan Wagner <waja@cyconet.org>  Thu, 10 Feb 2011 08:38:04 +0100

postfwd (1.18-1) unstable; urgency=low

  * New upstream release
    - Fixed bug when comparing sender and recipient addresses, like
      "sender=$$recipient"

 -- Jan Wagner <waja@cyconet.org>  Thu, 29 Apr 2010 08:46:25 +0200

postfwd (1.17-1) unstable; urgency=low

  * New upstream release
    - Net::DNS internal errors will now be handled gracefully
    - default for options --dns_max_ns_a_lookups and --dns_max_mx_a_lookups of
      100
    - Fixed variable substitution when the '=' operator is used

 -- Jan Wagner <waja@cyconet.org>  Mon, 22 Mar 2010 09:02:31 +0100

postfwd (1.16-2) unstable; urgency=low

  * Bump Standards-Version to 3.8.4, no changes needed
  * Migrate Vcs-Fields over to scm.uncompleted.org
  * Add 1.0 to debian/source/format

 -- Jan Wagner <waja@cyconet.org>  Wed, 10 Mar 2010 12:35:57 +0100

postfwd (1.16-1) unstable; urgency=low

  * NEW upstream release
    - documentation fixed
    - configuration parser improvements
    - option --reload (HUP signal) now reloads config, if the file is unchanged
    - redirect syslog to stdout for --kill, --reload and --showconfig
    - new rcpt() command counts recipients for rate limits
    - helo_address, and sender_(ns|mx)_addrs can now be csv items
    - items may now be retrieved from files using "item=file:/some/where"
  * Add "Copyright" to all copyrights in debian/copyright
  * Bump standards version to 3.8.3 (no changes needed)
  * Fix speeling errors in debian/README.Debian

 -- Jan Wagner <waja@cyconet.org>  Thu, 14 Jan 2010 19:32:26 +0100

postfwd (1.14-1) unstable; urgency=low

  * new upstream release
    - new compare operators
    - added --nodaemon option
    - perform non dns items first
    - enabled dns cache for sender(ns|mx) and helo address
    - new options --dns_max_ns_lookups and --dns_max_mx_lookups
    - new items sender_ns_names and sender_ns_addrs
    - new items sender_mx_names and sender_mx_addrs
    - new item helo_address, please see docs for more
    - added --proto switch, to enable the use of unix domain sockets
    - added command-line options --kill and --reload
    - dnsbl txt lookups only for dnsbls with at least one a record
    - small performance improvement
    - ask() action allows to use another policy service
    - new options --noidlestats and --norulelog
  * install postfwd.cf.sample, was renamed upstream
  * leave hints about documentation and config verification in README.Debian
  * Bump standards version to 3.8.2 (no changes needed)

 -- Jan Wagner <waja@cyconet.org>  Mon, 06 Jul 2009 21:15:35 +0200

postfwd (1.10pre8b-1) unstable; urgency=low

  * new upstream release
    - Net::CIDR::Lite is not required any longer
    - Net::DNS::Async is no longer used
    - changed Net::Server behaviour to ignore syslog errors
    - --shortlog is now default behaviour (use -v to see more)
    - days=Wed now means exactly Wednesday
    - disabled fallback to synchronous dns on timed out rbls
    - new item "rhsbl_helo" allows to check helo against rhsbls
    - the new variable $$request_hits contains a list of all matching ruleids
    - the new variable $$dnsbltext allows access to txt records of rbls
    - new options --no-rulestats and --nodnslog

