=== debian/control ===
Source: postfwd
Section: mail
Priority: optional
Maintainer: Jan Wagner <waja@cyconet.org>
Build-Depends: debhelper (>= 9)
Homepage: http://www.postfwd.org/
Vcs-Browser: https://scm.uncompleted.org/projects/debian/repository/show/postfwd
Vcs-Svn: https://scm.uncompleted.org/svn/debian/postfwd/trunk
Standards-Version: 3.9.3

Package: postfwd
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, adduser, libnet-dns-perl, libnet-server-perl
Conflicts: postfwd2
Description: Postfix policyd to combine complex restrictions in a ruleset
 Postfwd is written in perl to combine complex postfix restrictions in a
 ruleset similar to those of the most firewalls. The program uses the postfix
 policy delegation protocol to control access to the mail system before a
 message has been accepted. It allows you to choose an action (e.g. reject,
 dunno) for a combination of several smtp parameters (like sender and recipient
 address, size or the client's TLS fingerprint).

Package: hapolicy
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}
Description: Balancing and fallback postfix policy delegation service
 Hapolicy enables high availability, weighted loadbalancing and a fallback
 action for postfix policy delegation services. Invoked via postfix spawn
 it acts as a wrapper that queries other policy servers via tcp connection.
 The order of the service queries can be influenced by assigning a specific
 priority and weight to each service.
