## postfwd 1.35

=== debian/changelog ===
postfwd (1.35-11) unstable; urgency=medium

  * [9892436] d/control: Update VCS-headers to salsa.debian.org

 -- Jan Wagner <waja@cyconet.org>  Sun, 07 Sep 2025 09:04:37 +0200

postfwd (1.35-10) unstable; urgency=medium

  [ Jan Wagner ]
  * [7757952] d/postfwd.init: Adding "--user" to start-stop-daemon
    (Closes: #1033481), Thanks Jean-Loup Gilis

 -- Jan Wagner <waja@cyconet.org>  Tue, 23 Jul 2024 08:47:53 +0200

postfwd (1.35-9) unstable; urgency=medium

  * [42f4738] d/postfwd.init: Adding "--name" to start-stop-daemon
    (Closes: #1059512), Thanks Matus UHLAR

 -- Jan Wagner <waja@cyconet.org>  Tue, 23 Jul 2024 06:32:19 +0000

postfwd (1.35-8) unstable; urgency=medium

  * [d32c972] d/watch: Update to new url scheme
  * [47e9ee0] Bump debhelper from old 12 to 13.
  * [cac0b96] Bump Standards-Version to 4.6.2
  * [98d8062] Update watch file format version to 4.
  * [7ba39f1] Drop lsb-base, sysvinit-utils is essential
  * [be975fb] Set Rules-Requires-Root: no.

 -- Jan Wagner <waja@cyconet.org>  Mon, 23 Jan 2023 12:40:57 +0000

postfwd (1.35-7) unstable; urgency=medium

  * [f2a169d] Use secure copyright file specification URI.
  * [270413d] Use secure URI in Homepage field.
  * [1563d38] d/source/options: Adding .github to diff ignore
  * [f32e604] Adding d/.gitlab-ci.yml
  * [94f95bc] Adding Dependabot config
  * [b16de77] Do not remove .git* anymore
  * [4926505] ci: pin action versions
  * [d0ecd91] d/rules: Calling dh_installsystemd (Closes: #994901)

 -- Jan Wagner <waja@cyconet.org>  Tue, 28 Sep 2021 13:28:53 +0200

postfwd (1.35-6) unstable; urgency=medium

  * [1446da0] Fix initscript (Closes: #942414)
  * [3abd7a4] Bump Standards-Version to 4.5.1.0, no changes needed
  * [27de180] Adding Github CI
  * [a282d29] d/control: Raise compat level to 12

 -- Jan Wagner <waja@cyconet.org>  Wed, 06 Jan 2021 21:49:07 +0100

postfwd (1.35-5) unstable; urgency=medium

  * [217213b] Adding systemd unit file
  * [8e419b4] Add a bit documentation about systemd (and sysvinit)
  * [62139a7] travis-ci: Use xenial image
  * [ac0ac42] d/control: Bump Standards-Version to 4.3.0, no changes needed
  * [e438455] d/postfwd.postrm: detect existens of command by which and
    not 'test -x'

 -- Jan Wagner <waja@cyconet.org>  Thu, 24 Jan 2019 09:37:19 +0100

postfwd (1.35-4) unstable; urgency=medium

  * [e8799d3] travis-ci: don't install build-deps manual
  * [c86c540] travis-ci: build package with dpkg-buildpackage
  * [07e9eeb] travis-ci: Initial support for uploading releases to github
  * [231a90f] Merging upstream changes of github-release.sh
  * [b832cd0] Updating copyright and author of debian/bin/github-release.sh
  * [5e353b5] debian/control: reformating with warp-and-sort
  * [3862572] Reformating with warp-and-sort the rest of debian/
  * [d4687ee] travis-ci: grab actual used upstream version
  * [4d0d01d] travis-ci: Adding required arguments for trusty
  * [11da7ca] travis-ci: automatically install dependencies
  * [7ad8c99] d/control: Bump Standards-Version to 3.9.8, no changes needed
  * [80b011c] d/control: Depend on lsb-base
  * [583a10d] travis-ci: Make use of travis.d.n

 -- Jan Wagner <waja@cyconet.org>  Mon, 05 Dec 2016 11:50:27 +0100

postfwd (1.35-3) unstable; urgency=medium

  * [965e0d7] Remove shiped html files from binaries
  * [17c1925] Bump Standards-Version to 3.9.6, no changes needed

 -- Jan Wagner <waja@cyconet.org>  Mon, 13 Oct 2014 15:02:11 +0200

postfwd (1.35-2) unstable; urgency=low

  * Migrate over example installation to postfwd.examples
  * Add plugins/*.sample to examples
  * [6f4f77b] Remove generated hapolicy manpage in clean target
  * [05ca589] Updating standards version to 3.9.4, no changes needed
  * [bb64a82] Source init functions in init script
  * [5d8b250] Update Vcs-headers
  * [0df5d0a] Updating standards version to 3.9.5, no changes needed
  * [86f8f61] Add travis-ci config
  * [010082b] Remove unneeded purge from travis config
  * [7542e86] Reorder and comment .travis.yml
  * [7025f4f] Add lintian checks after build
  * [ddbfcc0] Update to recent copyright format
  * [b9b503e] Move samples into /usr/share/doc/postfwd/examples
  * [1e7c202] Add 10_fix_wording_manpages.patch to fix manpages
  * [f7da50f] travis-ci: Remove dpatch from build-deps
  * [dd5f01d] Add 20_fix_postfwd1_default_umask.patch to fix postfwd default
    umask (Closes: #717607), thanks Jesse Norell
  * [172a432] Fix bug report source format move

 -- Jan Wagner <waja@cyconet.org>  Sun, 09 Mar 2014 23:43:28 +0100

postfwd (1.35-1) unstable; urgency=low

  * New upstream release
   - fixed fixed taint mode logging error
   - check_* functions use print/getline instead of send/recv for large
     --dumpcache output
   - log_* routines added to allow the same plugins for postfwd1 and postfwd2
   - added more information when using --debug=cleanup
   - new sendmail(sendmail-path::from::to::subject::body) action
   - rate(), size() and rcpt() function index is now case insensitive by
     default
   - fixed segfault when using new perl versions (Closes: #697653)

 -- Jan Wagner <waja@cyconet.org>  Wed, 22 May 2013 14:49:15 +0200

postfwd (1.33-1) UNRELEASED; urgency=low

  * New upstream release
   - fixed bug when computing scores with more than 1 digit after the "."
   - fixed bug when computing negative values with the set action
   - ITEMS plugins returning zero values were handled incorrectly
   - max command recursion was not reset for each rule
   - fixed warning about use of (uninitialized value) when STORABLE
     is available but no cache file was defined (Closes: #697657)
  * Fix comment in /etc/default/postfwd (Closes: #679924), thanks Jeroen
    Koekkoek
  * Fix typo in README.Debian (closes: #691242), thanks Axel Beckert

 -- Jan Wagner <waja@cyconet.org>  Thu, 29 Mar 2012 20:31:17 +0200
