=== debian/control ===
--- 
+++ 
@@ -2,15 +2,20 @@
 Section: mail
 Priority: optional
 Maintainer: Jan Wagner <waja@cyconet.org>
-Build-Depends: debhelper (>= 9)
-Homepage: http://www.postfwd.org/
-Vcs-Browser: https://scm.uncompleted.org/projects/debian/repository/show/postfwd
-Vcs-Svn: https://scm.uncompleted.org/svn/debian/postfwd/trunk
-Standards-Version: 3.9.3
+Build-Depends: debhelper-compat (= 13), html2text
+Homepage: https://www.postfwd.org/
+Vcs-Browser: https://salsa.debian.org/debian/postfwd
+Vcs-Git: https://salsa.debian.org/debian/postfwd.git
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 
 Package: postfwd
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}, adduser, libnet-dns-perl, libnet-server-perl
+Depends: adduser,
+         libnet-dns-perl,
+         libnet-server-perl,
+         ${misc:Depends},
+         ${perl:Depends}
 Conflicts: postfwd2
 Description: Postfix policyd to combine complex restrictions in a ruleset
  Postfwd is written in perl to combine complex postfix restrictions in a
@@ -22,7 +27,7 @@
 
 Package: hapolicy
 Architecture: all
-Depends: ${perl:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${perl:Depends}
 Description: Balancing and fallback postfix policy delegation service
  Hapolicy enables high availability, weighted loadbalancing and a fallback
  action for postfix policy delegation services. Invoked via postfix spawn
