=== debian/rules ===
#!/usr/bin/make -f
# written by Jan Wagner <waja@cyconet.org>
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

build: build-arch build-indep
build-arch:
build-indep:

clean:
	# removing generated manpage (not initial shipped)
	rm -rf man/man8/hapolicy.1
	dh_testdir
	dh_testroot
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep

	# install binaries
	install -D -m 644 sbin/postfwd debian/postfwd/usr/sbin/postfwd1
	install -D -m 644 sbin/postfwd2 debian/postfwd/usr/sbin/postfwd2
	install -D -m 644 tools/hapolicy/hapolicy debian/hapolicy/usr/sbin/hapolicy
	# install man page
	mkdir -p debian/tmp/
	cp man/man8/postfwd.8 debian/tmp/postfwd1.8
	html2text doc/quick.html > debian/tmp/quick.txt
	html2text doc/versions.html > debian/tmp/versions.txt
	pod2man debian/hapolicy/usr/sbin/hapolicy man/man8/hapolicy.1

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs doc/postfwd.CHANGELOG
	dh_installdocs -ppostfwd -Xhapolicy
	dh_installdocs -phapolicy tools/hapolicy/hapolicy[0-9a-zA-Z.]*
	dh_installexamples
	dh_installinit -- defaults 19 21
	dh_installsystemd --no-enable
	dh_installman
	dh_compress
	dh_fixperms
	dh_perl
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
