=== debian/watch ===
version=4
https://postfwd.org postfwd-(.*)\.tar\.gz
